> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag



## OpenAPI

````yaml patch /tags/{id}
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /tags/{id}:
    patch:
      tags:
        - Tags
      summary: Update a tag
      operationId: TagsController_update
      parameters:
        - name: id
          required: true
          in: path
          description: Tag ID
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTagDto'
      responses:
        '200':
          description: The tag has been successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TagEntity'
        '404':
          description: Tag not found
        '409':
          description: Tag with this name already exists
      security:
        - bearer: []
components:
  schemas:
    UpdateTagDto:
      type: object
      properties:
        name:
          type: string
          description: Tag name
        description:
          type: string
          description: Tag description
    TagEntity:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
        created_time:
          type: string
      required:
        - id
        - name
        - created_time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````